/*
 * Custom CSS
 */

.sidebar {
  width: 280px;
}

.custom-invalid-feedback {
  width: 100%;
  margin-top: .25rem;
  font-size: .875em;
  color: #dc3545;
}

th.nowrap {
  white-space: nowrap;
}

.hidden {
  display: none;
}

.nowrap {
  white-space: nowrap;
}

.nolinkunderline {
  text-decoration: none;
}

.search {
  height: fit-content;
}

.image {
  position: relative;
  display: inline-block;
}

.small-image {
  max-width: 150px;
}

.vote-button {
  transition: opacity 0.5s;
  opacity: 0 !important;
}

.image:hover .vote-button {
  opacity: 1 !important;
}

.overlay {
  position: absolute;
  right: 0;
  z-index: 5;
}

.loading {
  opacity: 0.5;
  transition: opacity 200ms;
  transition-delay: 200ms;
}

.search-spinner {
  position: absolute;
  left: -1.0rem;
  top: 0.75rem;
  border-radius: 50% !important;
}

input.loading {
  background-image: none;
}